//
//  CustomMethods.m
//  AwesomeProject3
//
//  Created by Macbook Pro on 03/07/2023.
//

#import <Foundation/Foundation.h>
#import "React/RCTBridgeModule.h"


@interface RCT_EXTERN_MODULE(CustomMethods, NSObject)

  RCT_EXTERN_METHOD(AddMarker: (NSString *) param)

  RCT_EXTERN_METHOD(AddCustomMarker: (NSString *) param)

  RCT_EXTERN_METHOD(AddCustomMarkerW: (NSString *) param
                    base64String: (NSString *)base64String
                    )


  RCT_EXTERN_METHOD(SetCameraAnim: (NSString *) param)

  RCT_EXTERN_METHOD(passStringArray: (NSArray *) param
                    colorr: (NSString *)colorr
                    widthh: (NSString *)widthh
                    )

  RCT_EXTERN_METHOD(simpleMethodWithParams:
    (NSString *) param
    callback: (RCTResponseSenderBlock)callback
  )
  RCT_EXTERN_METHOD(
    resolvePromise: (RCTPromiseResolveBlock) resolve
    rejecter: (RCTPromiseRejectBlock) reject
  )
  RCT_EXTERN_METHOD(rejectPromise:
    (RCTPromiseResolveBlock) resolve
    rejecter: (RCTPromiseRejectBlock) reject
  )

RCT_EXTERN_METHOD(removeAllMarkers)

RCT_EXTERN_METHOD(removeAllPolyLines)

@end
